### Function

# GObject TypeInterface prerequisites

since: 2.2

#### Declaration

    GType*
    g_type_interface_prerequisites (
      GType interface_type,
      guint* n_prerequisites
    )

#### Description

Returns the prerequisites of an interfaces type.

Available since: 2.2

#### Parameters

`interface_type`

  Type: `GType`

  An interface type.

`n_prerequisites`

  Type: `guint*`

  Location to return the number of prerequisites, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `GType`

A newly-allocated zero-terminated array of `GType` containing the prerequisites of `interface_type`.

The length of the array is in the `n_prerequisites` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.